[Snort-users] ACID and PHP 5

Peter SJF Bance Minstrel at ...12155...
Tue Jul 20 05:53:17 EDT 2004


Hi,

Using ACID v0.9.6b23 with PHP 5, I have had to alter acid_db_common.inc.php to change the PHP version detection, and the front page comes up fine.  On attempting to go to http://solon.internetgremlin.com/acid/acid_stat_alerts.php?caller=most_frequent&sort_order=occur_d, however, I receive the error:

"Fatal error: Cannot use string offset as an array in /export/home/apps/apache/htdocs/acid/acid_state_citems.inc on line 694"

Looks like this is down to added stringency in PHP 5.

Are there any plans to adapt ACID to work with PHP 5?

Thanks.

-- 
Peter SJF Bance CEng MBCS
CESG and BCS Listed Security Adviser
http://www.minstrel.org.uk/





More information about the Snort-users mailing list